Last Comment Bug 664723 - update removed-files.in for bug 643816
: update removed-files.in for bug 643816
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 7
Assigned To: Ben Hearsum (:bhearsum)
:
Mentors:
Depends on:
Blocks: 668723 673884
  Show dependency treegraph
 
Reported: 2011-06-16 08:02 PDT by Ben Hearsum (:bhearsum)
Modified: 2011-07-25 04:28 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
add them (434 bytes, patch)
2011-06-16 08:14 PDT, Ben Hearsum (:bhearsum)
khuey: review+
jst: approval‑mozilla‑aurora+
bhearsum: checkin+
Details | Diff | Splinter Review

Description Ben Hearsum (:bhearsum) 2011-06-16 08:02:47 PDT
Bug 643816 caused D3DCompiler_42.dll and d3dx9_42.dll to be removed, we need to add them to removed-files.in still.
Comment 1 Ben Hearsum (:bhearsum) 2011-06-16 08:14:17 PDT
Created attachment 539798 [details] [diff] [review]
add them
Comment 2 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-06-16 08:18:27 PDT
Comment on attachment 539798 [details] [diff] [review]
add them

Ugh, it sucks that this is going to happen silently every time we switch SDKs.
Comment 3 Ben Hearsum (:bhearsum) 2011-06-16 08:46:46 PDT
Comment on attachment 539798 [details] [diff] [review]
add them

Drivers, this patch causes the updater to remove the old, now unused directx files, when someone updates via AUS. There's no harm to having them around functionality wise (they go unused in favour of new ones), but removing them cleans up some of our update verification tests.

Already landed this on mozilla-central.
Comment 4 Ben Hearsum (:bhearsum) 2011-06-17 04:59:07 PDT
Comment on attachment 539798 [details] [diff] [review]
add them

Landed on aurora, too.
Comment 5 Philipp von Weitershausen [:philikon] 2011-06-17 07:43:47 PDT
http://hg.mozilla.org/mozilla-central/rev/f7b87ab0454a
Comment 6 George Carstoiu 2011-06-28 06:30:12 PDT
Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110627 Firefox/7.0a1

The two files were added to removed-files.in

D3DCompiler_42.dll
d3dx9_42.dll

Setting status to Verified Fixed.

Note You need to log in before you can comment on or make changes to this bug.